Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::PayLoadData Class Reference

## Public Member Functions
| PayLoadData ()
| Constructor.
| PayLoadData (float version, const wchar_t *crypto_filter, const wchar_t *file_name, foxit::int64 file_size, const wchar_t *description)
| Constructor, with parameters. More...
| PayLoadData (const PayLoadData &payload_data)
| Constructor, with another payload data object. More...
PayLoadData & | operator= (const PayLoadData &payload_data)
| Assign operator. More...
void | Set (float version, const wchar_t *crypto_filter, const wchar_t *file_name, int64 file_size, const wchar_t *description)
| Set value. More...

## Public Attributes
WString | crypto_filter
| The name of the cryptographic filter used to encrypt the encrypted payload document.
WString | description
| Description for payload file to show applications or confront users prompt information.
WString | file_name
| The payload file name.
int64 | file_size
| The payload file size.
float | version
| The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.

## Detailed Description

This class represents payload data, which is used for a PDF 2.0 wrapped PDF document.

## Constructor & Destructor Documentation

## ◆ PayLoadData() [1/2]

foxit::pdf::PayLoadData::PayLoadData | ( | float | version,
|  | const wchar_t * | crypto_filter,
|  | const wchar_t * | file_name,
|  | foxit::int64 | file_size,
|  | const wchar_t * | description
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.

## ◆ PayLoadData() [2/2]

foxit::pdf::PayLoadData::PayLoadData | ( | const PayLoadData & | payload_data | ) |
| inline

Constructor, with another payload data object.

Parameters

  [in] | payload_data | Another payload data object.

## Member Function Documentation

## ◆ operator=()

PayLoadData& foxit::pdf::PayLoadData::operator= | ( | const PayLoadData & | payload_data | ) |
| inline

Assign operator.

Parameters

  [in] | payload_data | Another payload data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::PayLoadData::Set | ( | float | version,
|  | const wchar_t * | crypto_filter,
|  | const wchar_t * | file_name,
|  | int64 | file_size,
|  | const wchar_t * | description
| ) |  |
| inline

Set value.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.